server:
  port: 9007

eureka:
  instance:
    # Necessary for Docker as it doesn't have DNS entries
    prefer-ip-address: true
    # Necessary for Docker otherwise you will get 172.0.0.x IP
    ip-address: 18.222.31.138
    instance-id: 18.222.31.138:9007
  client:
    serviceUrl:
      defaultZone: http://13.58.62.62:8099/eureka/
      
management.endpoints.web.exposure.include: '*'
management.endpoint.health.show-details: always

resilience4j.circuitbreaker:
  instances:
    service1:
      registerHealthIndicator: true
      ringBufferSizeInClosedState: 5
      ringBufferSizeInHalfOpenState: 3
      waitDurationInOpenState: 10s
      failureRateThreshold: 50
      recordExceptions:
        - org.springframework.web.client.HttpServerErrorException
        - java.io.IOException
        - java.util.concurrent.TimeoutException
        - org.springframework.web.client.ResourceAccessException